package com.huatek.busi.mapper;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;


@Repository
public interface GeneratorNumberMapper {


    List<EquipmentSumNumber> findSumGeneratorNumber();

    int findSumNumber();

    int findFaultNumber(@Param("dTime") String dTime);

    List<GeneratorStatus> findGeneratorStatus();

    int findOtherEquNumber();

    TAndTransformerStatus findTransformerStatus(@Param("findGeneratorId") String findGeneratorId);

    List<EquipmentSensorCache> findGeneratorSenSor(@Param("mainEquipmentId") String mainEquipmentId);

    EquipmentSumSensorCache findSumSensorNumber();

    int findOtherSensorSumNumber();

    List<EquipmentSensor> findEquipmentVoList();

    List<EquipmentSensorNumber> findEquipment();

    List<EquipmentSensorCache> findSensorCache();

    void updatGeneratorSensor(EquipmentSensorNumber equipmentTemperatureCache);

    void addGeneratorSensor(EquipmentSensorNumber equipmentTemperatureCache);


    int finSumNumber(String siteId);

    BigDecimal findSesorCodeNumber(@Param("extEquipmentCode") String extEquipmentCode, @Param("mainEquipmentId") String mainEquipmentId);

    EquipmentOnlineRateVo findOnlineRateByCode(@Param("extEquipmentCode") String extEquipmentCode);
}
